
#language: ru

@MovingProducts

Функционал: 007. MovingProducts. Создание заказов на перемещение

Сценарий: 007.1. MovingProducts. Создание заказа на перемещение для перемещения вручную - проверка работы всех кнопок

	Дано Я подключаюсь под "Создание заказов на перемещение"
	Дано я устанавливаю текущему сеансу заголовок приложения "14.007. Перемещение товаров"
	Дано я удаляю объекты "Документы.к2ЗаказНаПеремещение" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ на перемещение (создание)'
	И в поле с именем 'Дата' я ввожу текст '13.10.2019  0:00:00'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Организация'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заказ на перемещение (создание) *'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И в поле 'Отгрузка' я ввожу текст '13.10.2019'
	И я перехожу к следующему реквизиту
	И элемент формы с именем "ДатаОтгрузки" стал равен '13.10.2019'
	И элемент формы с именем "ДатаДоставки" стал равен '13.10.2019'
	И я нажимаю кнопку выбора у поля с именем "СкладОтправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'Группа складов для отгрузки' |
	И в таблице  "Список" я перехожу на один уровень вниз
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырная ГП'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заказ на перемещение (создание) *'
	И элемент формы с именем "СкладОтправитель" стал равен 'Сырная ГП'
	И из выпадающего списка с именем "СкладОтправитель" я выбираю по строке 'Сырная ГП'
	И элемент формы с именем "СкладОтправитель" стал равен 'Сырная ГП'
	И я нажимаю кнопку выбора у поля с именем "СкладПолучатель"
	Тогда открылось окно 'Склады' 
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'Склад готовой продукции' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заказ на перемещение (создание) *'
	И элемент формы с именем "СкладПолучатель" стал равен 'Склад готовой продукции'
	И из выпадающего списка с именем "СкладПолучатель" я выбираю по строке 'Склад готовой продукции'
	И элемент формы с именем "СкладПолучатель" стал равен 'Склад готовой продукции'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (5 кг) (Ашан)'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'                | 'Характеристика' | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '102,5'   |
	И в таблице "Товары" я активизирую поле "Номенклатура"
	И в таблице "Товары" я нажимаю на кнопку 'Копировать строки'
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И в таблице "Товары" я нажимаю на кнопку 'Вставить строки'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'                | 'Характеристика' | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '102,5'   |
	И в таблице "Товары" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И я нажимаю на кнопку 'Иерархия'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование'               |
		| 'Крылья куринные (подложка)' |
		| 'Сыр Адыгейский'             |
		| 'Сыр Костромской'            |
		| 'Сыр Пошехонский'            |
		И я нажимаю на кнопку 'Иерархия'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сыр Пошехонский' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "ПодобраннаяНоменклатура" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Характеристика" я выбираю по строке 'Перекресток'
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Упаковка" я выбираю по строке 'упак (1 кг)'
	И в таблице "ПодобраннаяНоменклатура" я завершаю редактирование строки
	Тогда таблица "ПодобраннаяНоменклатура" стала равной:
		| 'Номенклатура'    | 'Характеристика' | 'Упаковка'           |
		| 'Сыр Адыгейский'  | 'Ашан'           | 'упак (5 кг) (Ашан)' |
		| 'Сыр Пошехонский' | 'Перекресток'    | 'упак (1 кг)'        |
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Заказ на перемещение (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '20,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.'                | 'Характеристика' | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский'  | 'упак (5 кг) (Ашан)' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '102,5'   |
		| '20,000'     | 'Сыр Пошехонский' | 'упак (1 кг)'        | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '22,460, кг'     | '44,92'   |
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" я нажимаю на кнопку 'Разбить строку'
	Тогда открылось окно 'Введите количество товара в новой строке'
	И в поле 'InputFld' я ввожу текст '15,000'
	И я нажимаю на кнопку 'OK'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.'                | 'Характеристика' | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский'  | 'упак (5 кг) (Ашан)' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '102,5'   |
		| '5,000'      | 'Сыр Пошехонский' | 'упак (1 кг)'        | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '5,615, кг'      | '11,23'   |
		| '15,000'     | 'Сыр Пошехонский' | 'упак (1 кг)'        | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '16,845, кг'     | '33,69'   |
	И я удаляю все строки таблицы "Товары"
	Тогда в таблице "Товары" количество строк "равно" 0
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "15,000"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.' | 'Характеристика'   | 'Подтвержденный - Заказ на перемещение' | 'Серия' | 'Исходный - Заказ на перемещение' | 'В ед. хранения' | 'Вес, кг' |
		| '15,000'     | 'Сыр Адыгейский' | 'кг'  | '<Без маркировки>' | ''                                      | ''      | ''                                | '15,000, кг'     | '15'      |
	И я нажимаю на кнопку 'Исходный - Заказ на перемещение'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.' | 'Характеристика'   | 'Подтвержденный - Заказ на перемещение' | 'Серия' | 'Исходный - Заказ на перемещение' | 'В ед. хранения' | 'Вес, кг' |
		| '15,000'     | 'Сыр Адыгейский' | 'кг'  | '<Без маркировки>' | ''                                      | ''      | '15,000'                          | '15,000, кг'     | '15'      |
	И я нажимаю на кнопку 'Подтвержденный - Заказ на перемещение'
	И в таблице "Товары" в поле 'Подтвержденный - Заказ на перемещение' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.' | 'Характеристика'   | 'Подтвержденный - Заказ на перемещение' | 'Серия' | 'Исходный - Заказ на перемещение' | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский' | 'кг'  | '<Без маркировки>' | '10,000'                                | ''      | '15,000'                          | '10,000, кг'     | '10'      |
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (5 кг) (Ашан)'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Исходный - Заказ на перемещение' | 'Ед.'                | 'Характеристика'   | 'Серия' | 'Подтвержденный - Заказ на перемещение' | 'В ед. хранения' | 'Вес, кг' |
		| '2,000'      | 'Сыр Адыгейский' | '3,000'                           | 'упак (5 кг) (Ашан)' | '<Без маркировки>' | ''      | '2,000'                                 | '10,250, кг'     | '20,5'    |
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (1.5 кг) Перекресток'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Исходный - Заказ на перемещение' | 'Ед.'                       | 'Характеристика'   | 'Серия' | 'Подтвержденный - Заказ на перемещение' | 'В ед. хранения' | 'Вес, кг' |
		| '7,000'      | 'Сыр Адыгейский' | '10,000'                          | 'упак (1.5 кг) Перекресток' | '<Без маркировки>' | ''      | '7,000'                                 | '10,584, кг'     | '25,445'  |
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Подтвержденный - Заказ на перемещение' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Исходный - Заказ на перемещение' | 'Ед.' | 'Характеристика'   | 'Серия' | 'Подтвержденный - Заказ на перемещение' | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский' | '15,000'                          | 'кг'  | '<Без маркировки>' | ''      | '10,000'                                | '10,000, кг'     | '10'      |
	И я перехожу к закладке "Дополнительно"
	И я нажимаю кнопку выбора у поля "Подразделение"
	Тогда открылось окно 'Подразделения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                          |
		| 'Подразделения формирования документов' |
	И в таблице  "Список" я перехожу на один уровень вниз
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'Подразделение приемки заказов' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заказ на перемещение (создание) *'
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И я нажимаю кнопку выбора у поля "Ответственный"
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'    |
		| 'Администратор' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Заказ на перемещение (создание) *'
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	И я нажимаю кнопку выбора у поля "Комментарий"
	Тогда открылось окно 'Комментарий'
	И в поле 'InputFld' я ввожу текст 'Заказ на перемещение для перемещения вручную'
	И я нажимаю на кнопку 'OK'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Заказ на перемещение * от *'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ на перемещение * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Заказы на перемещение'
	* Отборы в форме списка заказов на перемещение
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '13.10.2019'
		И в поле 'DateEnd' я ввожу текст '13.10.2019'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Заказы на перемещение'
		И таблица "Список" стала равной:
			| 'Получатель'              | 'Дата'       | 'Отгрузка'   | 'Подразделение'                 | 'Доставка'   | 'Состояние' | 'Отправитель' | 'Организация' | 'Ответственный' | 'Комментарий'                                  |
			| 'Склад готовой продукции' | '13.10.2019' | '13.10.2019' | 'Подразделение приемки заказов' | '13.10.2019' | 'Создан'    | 'Сырная ГП'   | 'Организация' | 'Администратор' | 'Заказ на перемещение для перемещения вручную' |
		И я нажимаю на гиперссылку "Отгрузка"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '14.10.2019'
		И в поле 'DateEnd' я ввожу текст '14.10.2019'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Заказы на перемещение'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку "Отгрузка"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '13.10.2019'
		И в поле 'DateEnd' я ввожу текст '13.10.2020'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Заказы на перемещение'
		И таблица "Список" стала равной:
			| 'Получатель'              | 'Дата'       | 'Отгрузка'   | 'Подразделение'                 | 'Доставка'   | 'Состояние'        | 'Отправитель' | 'Организация' | 'Ответственный' | 'Комментарий'                                  |
			| 'Склад готовой продукции' | '13.10.2019' | '13.10.2019' | 'Подразделение приемки заказов' | '13.10.2019' | 'Создан' | 'Сырная ГП'   | 'Организация' | 'Администратор' | 'Заказ на перемещение для перемещения вручную' |
		И я нажимаю на гиперссылку "Доставка"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '14.10.2019'
		И в поле 'DateEnd' я ввожу текст '14.10.2019'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Заказы на перемещение'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку "Доставка"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '13.10.2019'
		И в поле 'DateEnd' я ввожу текст '13.10.2020'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Заказы на перемещение'
		И таблица "Список" стала равной:
			| 'Получатель'              | 'Дата'       | 'Отгрузка'   | 'Подразделение'                 | 'Доставка'   | 'Состояние' | 'Отправитель' | 'Организация' | 'Ответственный' | 'Комментарий'                                  |
			| 'Склад готовой продукции' | '13.10.2019' | '13.10.2019' | 'Подразделение приемки заказов' | '13.10.2019' | 'Создан'    | 'Сырная ГП'   | 'Организация' | 'Администратор' | 'Заказ на перемещение для перемещения вручную' |
		И из выпадающего списка "Состояние" я выбираю точное значение 'Проверки не успешны'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Состояние" я выбираю точное значение 'Создан'
		И таблица "Список" стала равной:
			| 'Получатель'              | 'Дата'       | 'Отгрузка'   | 'Подразделение'                 | 'Доставка'   | 'Состояние' | 'Отправитель' | 'Организация' | 'Ответственный' | 'Комментарий'                                  |
			| 'Склад готовой продукции' | '13.10.2019' | '13.10.2019' | 'Подразделение приемки заказов' | '13.10.2019' | 'Создан'    | 'Сырная ГП'   | 'Организация' | 'Администратор' | 'Заказ на перемещение для перемещения вручную' |
		И из выпадающего списка "Этап" я выбираю точное значение 'Исходный - Заказ на перемещение'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Этап" я выбираю точное значение 'Подтвержденный - Заказ на перемещение'
		И таблица "Список" стала равной:
			| 'Получатель'              | 'Дата'       | 'Отгрузка'   | 'Подразделение'                 | 'Доставка'   | 'Состояние' | 'Отправитель' | 'Организация' | 'Ответственный' | 'Комментарий'                                  |
			| 'Склад готовой продукции' | '13.10.2019' | '13.10.2019' | 'Подразделение приемки заказов' | '13.10.2019' | 'Создан'    | 'Сырная ГП'   | 'Организация' | 'Администратор' | 'Заказ на перемещение для перемещения вручную' |
		И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
		И я перехожу к следующему реквизиту
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Организация" я выбираю по строке 'Организация'
		И я перехожу к следующему реквизиту
		И таблица "Список" стала равной:
			| 'Получатель'              | 'Дата'       | 'Отгрузка'   | 'Подразделение'                 | 'Доставка'   | 'Состояние' | 'Отправитель' | 'Организация' | 'Ответственный' | 'Комментарий'                                  |
			| 'Склад готовой продукции' | '13.10.2019' | '13.10.2019' | 'Подразделение приемки заказов' | '13.10.2019' | 'Создан'    | 'Сырная ГП'   | 'Организация' | 'Администратор' | 'Заказ на перемещение для перемещения вручную' |
		И из выпадающего списка "Подразделение" я выбираю по строке 'Обособленное подразделение'
		И я перехожу к следующему реквизиту
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
		И я перехожу к следующему реквизиту
		И таблица "Список" стала равной:
			| 'Получатель'              | 'Дата'       | 'Отгрузка'   | 'Подразделение'                 | 'Доставка'   | 'Состояние' | 'Отправитель' | 'Организация' | 'Ответственный' | 'Комментарий'                                  |
			| 'Склад готовой продукции' | '13.10.2019' | '13.10.2019' | 'Подразделение приемки заказов' | '13.10.2019' | 'Создан'    | 'Сырная ГП'   | 'Организация' | 'Администратор' | 'Заказ на перемещение для перемещения вручную' |
		И из выпадающего списка "Отправитель" я выбираю по строке 'Куриная ГП'
		И я перехожу к следующему реквизиту
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Отправитель" я выбираю по строке 'Сырная ГП'
		И я перехожу к следующему реквизиту
		И таблица "Список" стала равной:
			| 'Получатель'              | 'Дата'       | 'Отгрузка'   | 'Подразделение'                 | 'Доставка'   | 'Состояние' | 'Отправитель' | 'Организация' | 'Ответственный' | 'Комментарий'                                  |
			| 'Склад готовой продукции' | '13.10.2019' | '13.10.2019' | 'Подразделение приемки заказов' | '13.10.2019' | 'Создан'    | 'Сырная ГП'   | 'Организация' | 'Администратор' | 'Заказ на перемещение для перемещения вручную' |
		И из выпадающего списка "Получатель" я выбираю по строке 'Куриная ГП'
		И я перехожу к следующему реквизиту
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Получатель" я выбираю по строке 'Склад готовой продукции'
		И я перехожу к следующему реквизиту
		И таблица "Список" стала равной:
			| 'Получатель'              | 'Дата'       | 'Отгрузка'   | 'Подразделение'                 | 'Доставка'   | 'Состояние' | 'Отправитель' | 'Организация' | 'Ответственный' | 'Комментарий'                                  |
			| 'Склад готовой продукции' | '13.10.2019' | '13.10.2019' | 'Подразделение приемки заказов' | '13.10.2019' | 'Создан'    | 'Сырная ГП'   | 'Организация' | 'Администратор' | 'Заказ на перемещение для перемещения вручную' |
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Костромской'
		И я перехожу к следующему реквизиту
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
		И я перехожу к следующему реквизиту
		И таблица "Список" стала равной:
			| 'Получатель'              | 'Дата'       | 'Отгрузка'   | 'Подразделение'                 | 'Доставка'   | 'Состояние' | 'Отправитель' | 'Организация' | 'Ответственный' | 'Комментарий'                                  |
			| 'Склад готовой продукции' | '13.10.2019' | '13.10.2019' | 'Подразделение приемки заказов' | '13.10.2019' | 'Создан'    | 'Сырная ГП'   | 'Организация' | 'Администратор' | 'Заказ на перемещение для перемещения вручную' |
		И из выпадающего списка "Ответственный" я выбираю по строке 'Пользователь'
		И я перехожу к следующему реквизиту
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
		И я перехожу к следующему реквизиту
		И таблица "Список" стала равной:
			| 'Получатель'              | 'Дата'       | 'Отгрузка'   | 'Подразделение'                 | 'Доставка'   | 'Состояние' | 'Отправитель' | 'Организация' | 'Ответственный' | 'Комментарий'                                  |
			| 'Склад готовой продукции' | '13.10.2019' | '13.10.2019' | 'Подразделение приемки заказов' | '13.10.2019' | 'Создан'    | 'Сырная ГП'   | 'Организация' | 'Администратор' | 'Заказ на перемещение для перемещения вручную' |
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И я нажимаю на кнопку 'Очистить период'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Заказы на перемещение'
		И я нажимаю на гиперссылку "Отгрузка"
		Тогда открылось окно 'Выберите период'
		И я нажимаю на кнопку 'Очистить период'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Заказы на перемещение'
		И я нажимаю на гиперссылку "Доставка"
		Тогда открылось окно 'Выберите период'
		И я нажимаю на кнопку 'Очистить период'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Заказы на перемещение'
		И я нажимаю кнопку очистить у поля "Состояние"
		И я нажимаю кнопку очистить у поля "Этап"
		И я нажимаю кнопку очистить у поля "Организация"
		И я нажимаю кнопку очистить у поля "Подразделение"
		И я нажимаю кнопку очистить у поля "Получатель"
		И я нажимаю кнопку очистить у поля "Отправитель"
		И я нажимаю кнопку очистить у поля "Номенклатура"
		И я нажимаю кнопку очистить у поля "Ответственный"
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 007.2. MovingProducts. Загрузка заказов на перемещение из табличного документа
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И я нажимаю на кнопку 'Загрузить заказы из файла'
	Тогда открылось окно 'Загрузка заказов на перемещение из файла'
	И я меняю значение переключателя 'Вариант загрузки' на 'Из внешнего файла'
	И я перехожу к закладке "Страница вариант загрузка из файла"
	Тогда открылось окно 'Загрузка заказов на перемещение из файла'
	И Я буду читать файл "Заказы на перемещение.csv"
	И я нажимаю на кнопку 'Загрузить таблицу из файла...'
	И я жду открытия окна 'Заказы на перемещение' в течение 60 секунд
	Тогда таблица "Список" содержит строки по шаблону:
		| 'Получатель'              | 'Дата'       | 'Отгрузка'   | 'Подразделение'                 | 'Доставка'   | 'Состояние' | 'Отправитель' | 'Организация' | 'Ответственный'                   | 'Комментарий'                                     |
		| 'Склад готовой продукции' | '03.04.2020' | '03.04.2020' | 'Подразделение приемки заказов' | '03.04.2020' | 'Создан'    | 'Сырная ГП'   | 'Организация' | 'Создание заказов на перемещение' | 'Заказ на перемещение из таблицы'                 |
		| 'Склад готовой продукции' | '12.10.2019' | '12.10.2019' | 'Подразделение приемки заказов' | '12.10.2019' | 'Создан'    | 'Сырная ГП'   | 'Организация' | 'Создание заказов на перемещение' | 'Заказ на перемещение для перемещения через АРМы' |
		| 'Склад готовой продукции' | '13.10.2019' | '13.10.2019' | 'Подразделение приемки заказов' | '13.10.2019' | 'Создан'    | 'Сырная ГП'   | 'Организация' | 'Администратор'                   | 'Заказ на перемещение для перемещения вручную'    |
	И в таблице "Список" я перехожу к строке:
		| 'Дата'       | 'Доставка'   | 'Отгрузка'   | 'Комментарий'                     | 'Организация' | 'Ответственный'                   | 'Отправитель' | 'Подразделение'                 | 'Получатель'              |
		| '03.04.2020' | '03.04.2020' | '03.04.2020' | 'Заказ на перемещение из таблицы' | 'Организация' | 'Создание заказов на перемещение' | 'Сырная ГП'   | 'Подразделение приемки заказов' | 'Склад готовой продукции' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ на перемещение * от *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.'                | 'Количество' | 'Номенклатура'   | 'Характеристика' |
		| '51,250, кг'     | 'упак (5 кг) (Ашан)' | '10,000'     | 'Сыр Адыгейский' | 'Ашан'           |
	И в таблице "Товары" я нажимаю на кнопку 'Загрузить из внешнего файла'
	Тогда открылось окно 'Загрузка списка товаров из файла'
	И Я ввожу для загрузки заказа в ячейку "R2C4" текст "Сыр Пошехонский"
	И Я ввожу для загрузки заказа в ячейку "R2C5" текст "Ашан"
	И Я ввожу для загрузки заказа в ячейку "R2C6" текст "упак (5 кг) (Ашан)"
	И Я ввожу для загрузки заказа в ячейку "R2C7" текст "5"
	И я нажимаю на кнопку 'Далее >'
	Тогда открылось окно 'Заказ на перемещение * от * *'
	И в таблице "Товары" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.'                | 'Количество' | 'Номенклатура'    | 'Характеристика' |
		| '25,625, кг'     | 'упак (5 кг) (Ашан)' | '5,000'      | 'Сыр Пошехонский' | 'Ашан'           |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заказ на перемещение * от * *' в течение 20 секунд
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 007.3. MovingProducts. Проверка даты запрета в заказе на перемещение

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ на перемещение (создание)'
	И в поле с именем 'Дата' я ввожу текст '20.12.2018  0:00:00'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И в поле 'Отгрузка' я ввожу текст '20.12.2018'
	И из выпадающего списка с именем "СкладОтправитель" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка с именем "СкладПолучатель" я выбираю по строке 'Склад готовой продукции'
	И я перехожу к закладке "Товары"
	И я нажимаю на кнопку с именем "ТоварыДобавить"
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Заказ на перемещение (создание) *'
	И Я закрываю окно 'Заказ на перемещение (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 007.4. MovingProducts. Проверка загрузки бланка заказа на перемещение

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И я нажимаю на кнопку 'Загрузить заказы из бланков'
	Тогда открылось окно 'Загрузка бланков из файлов Excel'
	Когда я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла(Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть).Путь + "\"' в переменную "КаталогТеста"
	И в поле 'Путь к каталогу' я ввожу текст "$КаталогТеста$Заказы на перемещение"
	И в поле 'Путь к обработанным' я ввожу текст "$КаталогТеста$Заказы на перемещение"
	И я нажимаю на кнопку 'Загрузить заказы'
	И Я закрываю окно 'Загрузка бланков из файлов Excel'
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Организация' | 'Ответственный'                   | 'Отгрузка'   | 'Отправитель' | 'Подразделение'                 | 'Получатель' | 'Состояние' |
		| '21.01.2020' | 'Организация' | 'Создание заказов на перемещение' | '21.01.2020' | 'Сырная ГП'   | 'Подразделение приемки заказов' | 'Куриная ГП' | 'Создан'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда элемент формы с именем "Организация" стал равен 'Организация'
	И элемент формы с именем "СкладОтправитель" стал равен 'Сырная ГП'
	И элемент формы с именем "ДатаОтгрузки" стал равен '21.01.2020'
	И элемент формы с именем "СкладПолучатель" стал равен 'Куриная ГП'
	И элемент формы с именем "ДатаДоставки" стал равен '21.01.2020'
	И элемент формы с именем "Состояние" стал равен 'Создан'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.' | 'Характеристика' | 'Серия' | 'Время отгрузки' | 'В ед. хранения' | 'Вес, кг' |
		| '5,000'      | 'Сыр Адыгейский'  | 'кг'  | ''               | ''      | ''               | '5,000, кг'      | '5'       |
		| '5,000'      | 'Сыр Костромской' | 'кг'  | ''               | ''      | ''               | '5,000, кг'      | '5'       |
		| '5,000'      | 'Сыр Пошехонский' | 'кг'  | ''               | ''      | ''               | '5,000, кг'      | '5'       |
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И элемент формы с именем "Ответственный" стал равен 'Создание заказов на перемещение'
	И элемент формы с именем "СпособСоздания" стал равен 'Загрузка из бланка'
	И элемент формы с именем "Комментарий" стал равен ''
	И элемент формы с именем "ИтогоВес" стал равен '15,000'
	И Я закрываю окно 'Заказ на перемещение * от * [Создан] (не проведен)'
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 007.5. MovingProducts. Создание бланка заказа на перемещение

	И В командном интерфейсе я выбираю 'Заказы' 'Создание бланков заказов'
	Тогда открылось окно 'Создание бланков заказов'
	И я перехожу к закладке "Настройки"
	И в поле с именем 'Дата' я ввожу текст '22.01.2020'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И я устанавливаю флаг 'Только с ценой'
	И я снимаю флаг 'Только с ценой'
	И я устанавливаю флаг 'Доступные по сезонам'
	И я устанавливаю флаг 'Доступные для продажи'
	И я устанавливаю флаг 'Только из спецификации'
	И я снимаю флаг 'Только из спецификации'
	И я перехожу к закладке "Заказы на перемещение"
	И я удаляю все строки таблицы "ДанныеЗаказовНаПеремещение"
	И в таблице "ДанныеЗаказовНаПеремещение" я нажимаю на кнопку с именем 'ДанныеЗаказовНаПеремещениеДобавить'
	И в таблице "ДанныеЗаказовНаПеремещение" из выпадающего списка "Склад - отправитель" я выбираю по строке 'Сырная ГП'
	И в таблице "ДанныеЗаказовНаПеремещение" из выпадающего списка "Склад - получатель" я выбираю по строке 'Куриная ГП'
	Когда я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла(Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть).Путь + "\"' в переменную "КаталогТеста"
	И я создаю каталог "$КаталогТеста$tmp_blank_3"
	И в таблице "ДанныеЗаказовНаПеремещение" в поле "Каталог" я ввожу текст "$КаталогТеста$tmp_blank_3"
	И в таблице "ДанныеЗаказовНаПеремещение" я завершаю редактирование строки
	И в таблице "ДанныеЗаказовНаПеремещение" я нажимаю на кнопку с именем 'СформироватьБланкиЗаказовНаПеремещение'
	Затем я жду, что в сообщениях пользователю будет подстрока "Создан бланк" в течение 30 секунд
	И Я закрываю окно 'Создание бланков заказов *'

Сценарий: 007.6. MovingProducts. Проверка сохраненного бланка заказа на перемещение

	И я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла(Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть).Путь + "\"' в переменную "КаталогТеста"
	Когда файл "$КаталогТеста$tmp_blank_3\Бланк заказа Сырная ГП - Куриная ГП от 22 января 2020 г..xlsx" существует
	Тогда файл "$КаталогТеста$tmp_blank_3\Бланк заказа Сырная ГП - Куриная ГП от 22 января 2020 г..xlsx" содержит строки
		| '1'                | '999-0123'   | 'Сыр Адыгейский'                             | '' | '0'          | 'Отсутствует'                          | 'кг'       |
		| '2'                | '999-0234'   | 'Сыр Костромской'                            | '' | '0'          | 'Отсутствует'                          | 'кг'       |
		| '3'                | '999-0345'   | 'Сыр Пошехонский'                            | '' | '0'          | 'Отсутствует'                          | 'кг'       |
	И я создаю каталог "$КаталогТеста$tmp_blank_4"
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И я нажимаю на кнопку 'Загрузить заказы из бланков'
	Тогда открылось окно 'Загрузка бланков из файлов Excel'
	И в поле 'Путь к каталогу' я ввожу текст "$КаталогТеста$tmp_blank_3"
	И в поле 'Путь к обработанным' я ввожу текст "$КаталогТеста$tmp_blank_4"
	И я нажимаю на кнопку 'Загрузить заказы'
	И Я закрываю окно 'Загрузка бланков из файлов Excel'
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Организация' | 'Ответственный'                   | 'Отгрузка'   | 'Отправитель' | 'Подразделение'                 | 'Получатель' | 'Состояние' |
		| '22.01.2020' | 'Организация' | 'Создание заказов на перемещение' | '22.01.2020' | 'Сырная ГП'   | 'Подразделение приемки заказов' | 'Куриная ГП' | 'Создан'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда элемент формы с именем "Организация" стал равен 'Организация'
	И элемент формы с именем "СкладОтправитель" стал равен 'Сырная ГП'
	И элемент формы с именем "ДатаОтгрузки" стал равен '22.01.2020'
	И элемент формы с именем "СкладПолучатель" стал равен 'Куриная ГП'
	И элемент формы с именем "ДатаДоставки" стал равен '22.01.2020'
	И элемент формы с именем "Состояние" стал равен 'Создан'
	Тогда в таблице "Товары" количество строк "равно" 0
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И элемент формы с именем "Ответственный" стал равен 'Создание заказов на перемещение'
	И элемент формы с именем "СпособСоздания" стал равен 'Загрузка из бланка'
	И элемент формы с именем "Комментарий" стал равен ''
	И элемент формы с именем "ИтогоВес" стал равен '0,000'
	И Я закрываю окно 'Заказ на перемещение * от * [Создан] (не проведен)'
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 007.7. MovingProducts. Удаление бланка заказа на перемещение

	И я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла(Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть).Путь + "\"' в переменную "КаталогТеста"
	Когда файл "$КаталогТеста$tmp_blank_4\Бланк заказа Сырная ГП - Куриная ГП от 22 января 2020 г..xlsx" существует
	Тогда я удаляю файл "$КаталогТеста$tmp_blank_4\Бланк заказа Сырная ГП - Куриная ГП от 22 января 2020 г..xlsx"
	И я удаляю файл "$КаталогТеста$tmp_blank_3"
	И я удаляю файл "$КаталогТеста$tmp_blank_4"

Сценарий: 007.8. MovingProducts. Проверка отчета Изменение количества в документах между этапами - по заказу на перемещение

	И В командном интерфейсе я выбираю 'Заказы' 'Отчеты'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И я нажимаю на гиперссылку "Изменения количеств в документах между этапами"
	Тогда открылось окно 'Изменения количеств в документах между этапами'
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Изменения количеств в документах между этапами"'
	И я меняю значение переключателя 'Вид' на 'Расширенный'
	И в таблице "Отборы" я нажимаю на кнопку с именем 'Отборы_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок' |
		| 'Документ'  |
	И в таблице "ДоступныеПоля" я выбираю текущую строку
	Тогда открылось окно 'Настройки отчета "Изменения количеств в документах между этапами"'
	И в таблице "Отборы" я перехожу к строке:
		| 'Поле'     |
		| 'Документ' |
	И в таблице "Отборы" из выпадающего списка "Условие" я выбираю точное значение 'Равно'
	И в таблице "Отборы" я нажимаю кнопку выбора у реквизита с именем "ОтборыПравоеЗначение"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''                     |
		| 'Заказ на перемещение' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                  |
		| 'Заказ на перемещение для перемещения вручную' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Настройки отчета "Изменения количеств в документах между этапами"'
	И я нажимаю на кнопку 'Закрыть и сформировать'
	Тогда открылось окно 'Изменения количеств в документах между этапами'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Изменения количеств в документах между этапами заказ на перемещение"
	И Я закрываю окно 'Изменения количеств в документах между этапами'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И Я закрываю окно 'Отчеты по исполнению заказов'

Сценарий: 007.9. Завершение

	И Я закрыл все окна клиентского приложения